www.webdeveloper.com
Results 1 to 2 of 2

Thread: Setup Adobe Plugin Detect

  1. #1
    Join Date
    Sep 2012
    Posts
    1

    Setup Adobe Plugin Detect

    Hi Guys

    I am new to Java scripting so hopefully one of you can help

    I have a script I am working from.

    I need to search machines for adobe reader and the version number

    A bit of the script i have looks for Shockwave player below however I want it to look for adobe reader and the version instead

    Any ideas would be appreciated


    The script also searchs for browser, flash v, java v succesfully

    If you need any more information pleas let me know

    many thanks

    r

    function CheckSW()
    {
    if(PluginDetect.isMinVersion('Shockwave', ShockwaveVer) == 1){
    document.write('<span class="correct">Shockwave v' + PluginDetect.getVersion('Shockwave') + '</span>');
    }
    if(PluginDetect.isMinVersion('Shockwave', ShockwaveVer) !== 1 && PluginDetect.getVersion('Shockwave') == null)
    {
    document.write('<span class="error">Shockwave not installed</span>' );
    }
    if(PluginDetect.isMinVersion('Shockwave', ShockwaveVer) !== 1 && PluginDetect.getVersion('Shockwave') !== null)
    {
    document.write('<span class="warning">Shockwave v' + PluginDetect.getVersion('Shockwave')+ '</span>' );
    }
    }

  2. #2
    Join Date
    Mar 2009
    Posts
    452

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center



Recent Articles